## ros-jazzy-rclcpp-lifecycle 28.1.5

=== debian/changelog ===
ros-jazzy-rclcpp-lifecycle (28.1.5-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Sep 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (28.1.4-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (28.1.3-1bookworm) bookworm; urgency=high

  * Revert "call shutdown in LifecycleNode dtor to avoid leaving the device in unknown state (2nd) (backport #2528 <https://github.com/ros2/rclcpp/issues/2528>) (#2542 <https://github.com/ros2/rclcpp/issues/2542>)" (#2558 <https://github.com/ros2/rclcpp/issues/2558>)
  * call shutdown in LifecycleNode dtor to avoid leaving the device in unknown state (2nd) (backport #2528 <https://github.com/ros2/rclcpp/issues/2528>) (#2542 <https://github.com/ros2/rclcpp/issues/2542>)
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
  * rclcpp::shutdown should not be called before LifecycleNode dtor. (#2527 <https://github.com/ros2/rclcpp/issues/2527>) (#2540 <https://github.com/ros2/rclcpp/issues/2540>)
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (28.1.2-1bookworm) bookworm; urgency=high

  * Revert "call shutdown in LifecycleNode dtor to avoid leaving the device in un… (#2450 <https://github.com/ros2/rclcpp/issues/2450>)" (#2522 <https://github.com/ros2/rclcpp/issues/2522>) (#2524 <https://github.com/ros2/rclcpp/issues/2524>)
    This reverts commit 04ea0bb00293387791522590b7347a2282cda290.
    (cherry picked from commit 42b0b5775b4e68718c5949308c9e1a059930ded7)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (28.1.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (28.1.0-1bookworm) bookworm; urgency=high

  * Remove references to index.ros.org. (#2504 <https://github.com/ros2/rclcpp/issues/2504>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (28.0.1-1bookworm) bookworm; urgency=high

  * call shutdown in LifecycleNode dtor to avoid leaving the device in un… (#2450 <https://github.com/ros2/rclcpp/issues/2450>)
    * call shutdown in LifecycleNode dtor to avoid leaving the device in unknown state.
    * add test to verify LifecycleNode::shutdown is called on destructor.
    ---------
  * Contributors: Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (28.0.0-1bookworm) bookworm; urgency=high

  * Update quality declaration documents (#2427 <https://github.com/ros2/rclcpp/issues/2427>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (27.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (26.0.0-1bookworm) bookworm; urgency=high

  * Increase timeout for rclcpp_lifecycle to 360 (#2395 <https://github.com/ros2/rclcpp/issues/2395>)
  * Contributors: Jorge Perez

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (25.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (24.0.0-1bookworm) bookworm; urgency=high

  * Fix rclcpp_lifecycle inclusion on Windows. (#2331 <https://github.com/ros2/rclcpp/issues/2331>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (23.2.0-1bookworm) bookworm; urgency=high

  * add clients & services count (#2072 <https://github.com/ros2/rclcpp/issues/2072>)
  * Contributors: Minju, Lee

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 08 Oct 2023 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (23.1.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (23.0.0-1bookworm) bookworm; urgency=high

  * Update API docs links in package READMEs (#2302 <https://github.com/ros2/rclcpp/issues/2302>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (22.2.0-1bookworm) bookworm; urgency=high

  * add logger level service to lifecycle node. (#2277 <https://github.com/ros2/rclcpp/issues/2277>)
  * Contributors: Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (22.1.0-1bookworm) bookworm; urgency=high

  * Stop using constref signature of benchmark DoNotOptimize. (#2238 <https://github.com/ros2/rclcpp/issues/2238>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (22.0.0-1bookworm) bookworm; urgency=high

  * Implement get_node_type_descriptions_interface for lifecyclenode and add smoke test for it (#2237 <https://github.com/ros2/rclcpp/issues/2237>)
  * Switch lifecycle to use the RCLCPP macros. (#2233 <https://github.com/ros2/rclcpp/issues/2233>)
  * Add new node interface TypeDescriptionsInterface to provide GetTypeDescription service (#2224 <https://github.com/ros2/rclcpp/issues/2224>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-rclcpp-lifecycle (21.3.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 11 Jun 2023 16:00:00 -0000


