=== debian/control ===
Source: ros-jazzy-rclcpp-lifecycle
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-lifecycle-msgs, ros-jazzy-mimick-vendor <!nocheck>, ros-jazzy-performance-test-fixture <!nocheck>, ros-jazzy-rcl, ros-jazzy-rcl-interfaces, ros-jazzy-rcl-lifecycle, ros-jazzy-rclcpp, ros-jazzy-rcpputils <!nocheck>, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rosidl-typesupport-cpp, ros-jazzy-test-msgs <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rclcpp-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-lifecycle-msgs, ros-jazzy-rcl, ros-jazzy-rcl-interfaces, ros-jazzy-rcl-lifecycle, ros-jazzy-rclcpp, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rosidl-typesupport-cpp, ros-jazzy-ros-workspace
Description: Package containing a prototype for lifecycle implementation
